<?php
/*-------------------------------------------------------+
| HTML-EDIT Content Management System
| Copyright (C) 2010-now html-edit
| http://www.html-edit.org/
+--------------------------------------------------------+
| Author: html-edit
| version: 3.1.6
|
| Made by:
| - Marnix kok (original)
| - Jorin Vermeulen
+--------------------------------------------------------+
| html-edit cms is free software: you can redistribute it and/or modify
| it under the terms of the GNU Affero General Public License as published by
| the Free Software Foundation, either version 3 of the License, or
| any later version.
|
| html-edit cms is distributed in the hope that it will be useful,
| but WITHOUT ANY WARRANTY; without even the implied warranty of
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
| GNU Affero General Public License for more details.
|
| You should have received a copy of the GNU Affero General Public License
| along with html-edit cms.  If not, see <http://www.fsf.org/licensing/licenses/agpl.html>
+--------------------------------------------------------*/

  $browserlang1 = strtolower($_SERVER['HTTP_ACCEPT_LANGUAGE']);
  $browserlang1 = explode(';', addslashes($browserlang1));
  $browserlang = explode('-', $browserlang1[0]);
  
if (isset($_SESSION['lang']))
{
	$taal = $_SESSION['lang'];
}
elseif ($browserlang[0] == 'nl') 
{
	$taal = "nl";
}
else
{
	$taal = "en";
}

define("DEFAULT_LANGUAGE", $taal);

$languageElements = array();

function loadLanguage($taal)
{
	if ($taal == "en")
	{
		include("languages/english.php");
	}
	elseif ($taal == "nl")
	{
		include("languages/dutch.php");
	}
	else
	{
		die("No such language `$taal`.");
	}
	
	$_SESSION['lang'] = $taal;
}


function initializeLanguagePacks()
{

	if (isset($_GET['lang']))
	{
		loadLanguage($_GET['lang']);
	}
	elseif (isset($_SESSION['lang']))
	{
		loadLanguage($_SESSION['lang']);
	}
	else
	{
		loadLanguage(DEFAULT_LANGUAGE);
	}
}


function addText($name, $value)
{
	global $languageElements;
	$languageElements[$name] = $value;
}

function _t($name)
{
	global $languageElements;
	if (!isset($languageElements[$name]))
	{
		return "Not translated `$name`";
	}
	return $languageElements[$name];
}